Redmine - Defect #38210

Incorrect DB migration version
2023-01-24 11:28 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description

r22038 added the 20221214173537_add_select_project_publicity _permission.rb migration file. However, it is versioned as a
Rails/AR 5.2 migration while at the time of the commit the trunk was already on Rails 6.1.

I'm not sure if this was done for a specific purpose nor if changing this retroactively will cause other issues. But | thought it would at
least be good to report it here as such.

Related issues:
Related to Redmine - Feature #38048: Introduce permission to set a project pu... Closed

Associated revisions

Revision 22074 - 2023-01-25 02:57 - Go MAEDA
Fix the migration version of 20221214173537_add_select_project_publicity_permission.rb (#38048, #38210).

History

#1 - 2023-01-24 14:03 - Go MAEDA

Thank you for pointing this out. This was my mistake and | should have changed the version to 6.1 before committing.

I think it is safe to change source:trunk/db/migrate/20221214173537_add_select_project_publicity permission.rb to update the version from 5.2 to 6.1
because the code in the migration is a simple Rails code and the behavior does not change depending on the version of Migration.

#2 - 2023-01-24 20:26 - Holger Just

- Related to Feature #38048: Introduce permission to set a project public added

#3 - 2023-01-24 20:31 - Holger Just

Yeah, just updating this will probably be fine as there is no DDL involved in the migration (and even then, it would likely be okay).

#4 - 2023-01-25 02:57 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Fixed the migration version. Thank you.
